<?php
/**
 * Copyright (C) OEmarry All rights reserved.
 * <E-Mail：service@phpcoo.com>
 * Url http://www.phpcoo.com
 *     http://www.oephp.com
 *     http://www.oemarry.com
 * Update 2016.08.05  WAP支付宝即时到账notify回调接口
 */
header("Content-type: text/html; charset=utf-8");
@set_time_limit(0);
@error_reporting(E_ALL & ~ E_NOTICE);
define('BASE_ROOT', substr(dirname(__FILE__), 0, -6));
require_once(BASE_ROOT."source/core/oephp/Application.php");
APP::run("wap");
$c = "pay";
$a = "notifyalipay";
define("GB_OEMARRY_M", "wap");
define("GB_OEMARRY_C", $c);
define("GB_OEMARRY_A", $a);
$control_base = BASE_ROOT."source/control/oephp/oemarry.wapbase.php";
$hook_base = BASE_ROOT."source/control/oephp/oemarry.apphook.php";
$control_path = BASE_ROOT."source/control/wap/{$c}.php";
require_once($control_base);
require_once($hook_base);
require_once($control_path);
$control = new control();
$method = "control_".$a;
if (method_exists($control, $method) && $a{0} != '_') {
	$control->$method();
} 
else {
	XHandle::error("Wap controller action is not found!");
}
unset($control);
?>